Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-4228

Galera: Deb packages mariadb-test and mariadb-galera-server cannot be installed side-by-side

    XMLWordPrintable

    Details

      Description

      An attempt to install mariadb-galera-server and mariadb-test in the same apt-get transaction fails:

      sudo apt-get install mariadb-galera-server mariadb-test 
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:
       
      The following packages have unmet dependencies:
       mariadb-test : Depends: mariadb-test-5.5 but it is not going to be installed
      E: Broken packages

      The reason is that it depends on mariadb-server-5.5.

      If we install mariadb-test first alone, it installs mariadb-server as a dependency. If we later try to install mariadb-galera-server, it removes mariadb-server and mariadb-test:

      $ sudo apt-get install mariadb-test 
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following extra packages will be installed:
        libdbd-mysql-perl libdbi-perl libhtml-template-perl libmariadbclient18 libmysqlclient16 libmysqlclient18
        libnet-daemon-perl libplrpc-perl mariadb-client-5.5 mariadb-client-core-5.5 mariadb-common mariadb-server-5.5
        mariadb-server-core-5.5 mariadb-test-5.5 mysql-common
       
      ...
       
      $ sudo apt-get install mariadb-galera-server
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following extra packages will be installed:
        galera mariadb-galera-server-5.5
      Suggested packages:
        tinyca
      The following packages will be REMOVED:
        mariadb-server-5.5 mariadb-server-core-5.5 mariadb-test mariadb-test-5.5
      ...

      If we install mariadb-galera-server first, and then try to install mariadb-test, it removes mariadb-galera-server and installs mariadb-server instead:

      $ sudo apt-get install mariadb-test
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      The following package was automatically installed and is no longer required:
        galera
      Use 'apt-get autoremove' to remove them.
      The following extra packages will be installed:
        mariadb-server-5.5 mariadb-server-core-5.5 mariadb-test-5.5
      Suggested packages:
        tinyca
      The following packages will be REMOVED:
        mariadb-galera-server mariadb-galera-server-5.5
      The following NEW packages will be installed:
        mariadb-server-5.5 mariadb-server-core-5.5 mariadb-test mariadb-test-5.5
      ...

      Some buildbot tests fail due to that, e.g.
      http://buildbot.askmonty.org/buildbot/builders/kvm-deb-debian6-amd64/builds/1887/steps/test_2/logs/stdio

      I'm setting it to Minor for now, because the tests currently only have so much value with the Galera server – they can only be executed when wsrep is disabled, which is probably not a normal setup for users who choose MariaDB-Galera.

        Attachments

          Activity

            People

            Assignee:
            holyfoot Alexey Botchkov
            Reporter:
            elenst Elena Stepanova
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: